/* 
 *  Board file specific to the SmartPipe Version 2 Revision A
 *  
 *  RM Learney Nov 2015
 */

//#define DEBUG

#define ALERT       1

#define DRDY_AFE    2
#define DRDY_LMP    3

#ifdef DEBUG
  #define LED       13 //On-board Arduino LED
#else
  #define LED       4 //SmartPipe LED
#endif

#define LDAC        5
#define CS_DAC      6

#define POWER       A0
#define SENSE       A1

#ifdef DEBUG
  #define CS_AFE    10
#else
  #define CS_AFE    A2
#endif

#define CS_LMP      A3

#ifdef DEBUG
  #define CHIP_MHZ  16000000
#else
  #define CHIP_MHZ  8000000
#endif

