/* 
 *  Library to sleep the ATMEGA328P
 *  
 *  RM Learney Nov 2015
 */

#include <Arduino.h>
#include <avr/sleep.h>
#include <avr/power.h>
#include <avr/wdt.h>
#include <avr/io.h>

#ifndef  _sleepFunctions_H
#define  _sleepFunctions_H

class sleepFunctions {
  public:
    void init(void);
    void lightSleep(void);
    void deepSleep(void);
    void wakeupALL(void);
    void wakeupTimer0(void);
    void wakeupI2C(void);
    void wakeupSPI(void);
  private:
};

#endif

